---
Lint Analysis:
  stage: lint
  extends: .ansible_molecule
  script:
    - yamllint .

Molecule Test Ubuntu 22.04:
  stage: test
  extends: .ansible_molecule
  tags:
    - docker
  variables:
    MOLECULE_DISTRO: "enmanuelmoreira/docker-ansible-ubuntu:jammy"
  script:
    - molecule test

Molecule Test Fedora 39:
  stage: test
  extends: .ansible_molecule
  tags:
    - docker
  variables:
    MOLECULE_DISTRO: "enmanuelmoreira/docker-ansible-fedora:39"
  script:
    - molecule test

schedule:
  stage: triage
  extends:
    - .schedule:triage
